== Changelog == 

Attempting to track all changes in a more readable format, starting from the most recent update.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project attempts to follow to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

= Unreleased =

= 0.1.0 =

- enable a site provision page and ajax support
- typo
- fixing forms, fixing the site creation provision workflow
- remove another platform reference
- remove old platform classes and references.  restructured as integrations
- fix: provision queue now processes entries.  update schema changes.  working dns setup
- fix: group post field procesing, add initial status to the new provision entry
- fix: need to add our scripts only for our hook, otherwise it gets loaded on other pages
- fix: change table name. update 'drop table' usage
- move newSite to SiteCreationService
- move newSite to Site/Service
- clear the form before loading form elements
- rest routes for plugin and theme moved to free version
- late version bump
- provision queue action run on new site
- CHANGE BACK BEFORE PULL REQUEST
- add queue action for provision
- add siteId to provision service
- fix: add function name to debug
- fix: updates for php syntax
- fix: update el-lib
- fix provision database
- add provision to database
- dnsmadeeasy works, need to work on serverpilot and timing
- working on provision, full test
- update profile services and management
- update profile create form, fix server select and js
- refactor platformserver to integrationserver
- fix: issue with option values
- Refactor server api
- split form javascript into own file.  update enqueue scripts.  update server page for new scripts
- refactor serverpilot as integration service
- fix: typo
- fix: correct class name
- refactor rest operations to Rest directory.  separate theme from settings
- add profile rest interaction
- fix: adding new integration management, integration settings forms, and profile updating

= 0.0.12 = 

- fix: some basic migrate support.  fixed site provision
- fix: #24 check if DiviManager is active, deactivate if not
- add additional parameters to newSite
- fix setTargetMonth call
- cleanup formatting
- use addCode looping in GfReport
- change createCallable to loop returnData
- fix heredoc indentation
- Add ability to get multiple data points in addCode
- Update shortcode classes with addCode
- Add function to create callalble from array
- Update issue templates
- Moved getCodes() to abstract, added addCode()
-
= 0.0.9 = 

* fix #20 remove commented code, change message to use the helper
* fixing data for array syntax, was stdclass

= 0.0.8 =

* fix #57 -- fixed creation of new sites, updated platform options
* issue #6 new approach to cloning, much more effective
* issue #6 -- create new clone command and action. cleanup some action and service factories and constructors
* cleanup Reporter report command
* fix #15 add Reporter as service for the report shortcode
* add instruction for running cron event via docker and cli
* need to add some default values and some debug
* add platform server management
* add server information handling
* update changelog
* update html for dm.mi.stats
* cleanup Reporter report command
* fix #15 add Reporter as service for the report shortcode
* add instruction for running cron event via docker and cli
* need to add some default values and some debug
* add platform server management
* add server information handling
* update changelog
* incomplete source select added, handle empty value
* override default profile crud page
* cleanup Create page
* backend for server crud
* override default pages to include platform information
* add server management, ajax crud support
* update platforms to have servers
* fixing option and allow null default
* rmeove old page

= 0.0.7 =

* incomplete source select added, handle empty value
* override default profile crud page
* cleanup Create page
* backend for server crud
* override default pages to include platform information
* add server management, ajax crud support
* update platforms to have servers
* fixing option and allow null default
* rmeove old page
* fixing bugs with subscription processing
* cleanup wp-cli commands

= 0.0.6 =

* removing old references
* update wc order/subscription table
* remove old page
* fix format
* adding woocommerce support
* reordering use statements

= 0.0.5 =

* fixing menu items and array key to avoid overwriting settings

= 0.0.4 =

* Add elite license tool support for license validation
* get the Option service before use
* disable cli command until bug in load sequence is worked out

= 0.0.3 =

* Import severpilot support
* debugging serverpilot platform support
* importing serverpilot platform functionality

= 0.0.2 =

* add .gitignore file
* adding reporter extension
* main plugin file
* updating plugin extension
* add reporter template files
* add composer files
* Import reporter functionality
* Add enable/disable checkbox for reporter
* Only include reporter functionality if enabled

= 0.0.1 =

* Initial commit

