<?php declare(strict_types=1);
namespace DiviManagerPro\Command;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Service\Site as SiteService;

/**
 * Clone is a php keyword.  Use CloneCommand instead
 */
class CloneCommandFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $command = new CloneCommand();
        $command->setSiteService($registry->getService(SiteService::class));

        return $command;
    }
}
