<?php declare(strict_types=1);
namespace DiviManagerPro\Helper;

/**
 * Provide common functions for wordpress forms
 */
class Form
{
    public function makeSelect($name, $id, $options, $value)
    {
        $html =<<<EOHTML
<select name="$name" id="$id">
    <option value=""></option>
EOHTML;

        $optionHTML =<<<EOHTML
    <option value="%s"%s>%s</option>
EOHTML;
        foreach ($options as $option) {
            $selected = '';
            if (null !== $value && $value == $option['value']) {
                $selected = ' selected';
            }
            $html .= sprintf($optionHTML, $option['value'], $selected, $option['name']);
        }

        $html .=<<<EOHTML
</select>
EOHTML;
        return $html;
    }
}
