<?php declare(strict_types=1);
namespace DiviManagerPro\Integration\Dnsmadeeasy;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;

class AdminFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $admin = new Admin();
        $admin->setRegistry($registry);
        $admin->setOption($registry->getService(Option::class));
        $admin->setDnsmadeeasy($registry->getService(Dnsmadeeasy::class));

        return $admin;
    }
}
