<?php declare(strict_types=1);
namespace DiviManagerPro\Page;

use DiviManagerPro\DiviManagerPro;
use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManagerPro\Service\Integration as IntegrationService;
use DiviManagerPro\Helper\Form as FormHelper;

class IntegrationFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        return new Integration(
            new FormHelper(),
            $registry->getService(IntegrationService::class),
            $registry->getService(DiviManagerPro::class)->getMainPluginFile()
        );
    }
}
