<?php declare(strict_types=1);
namespace DiviManagerPro\Page;

use DiviManagerPro\DiviManagerPro;
use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManagerPro\Service\SiteProvision as ProvisionService;

class ProvisionFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        return new Provision(
            $registry->getService(ProvisionService::class),
            $registry->getService(DiviManagerPro::class)->getMainPluginFile()
        );
    }
}
