<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;

class CronFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $cron = new Cron;
        $cron->setOption($registry->getService(Option::class));
        $cron->setReporter($registry->getService(Reporter::class));

        return $cron;
    }
}
