<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Page;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManagerPro\DiviManagerPro;

class ShortcodeFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $report = new Shortcode();
        $report->setOption($registry->getService(Option::class));
        $report->setDiviManagerPro($registry->getService(DiviManagerPro::class));

        return $report;
    }
}
