<?php declare(strict_types=1);
namespace DiviManagerPro\Rest;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManager\Service\Theme as ThemeService;
use DiviManagerPro\Service\Integration as IntegrationService;

class DiviManagerProFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        return new DiviManagerPro(
            'dmpro/v1/'
        );
    }
}
