<?php declare(strict_types=1);
namespace DiviManagerPro\Service;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\DbDelta;
use DiviManager\Helper\Option;

class SiteProvisionFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $provision = new SiteProvision;

        $provision->setWpdb($registry->getService('wpdb'));
        $provision->setDbDelta($registry->getService(DbDelta::class));

        return $provision;
    }
}