<?php declare(strict_types=1);
namespace DiviManagerPro\Woocommerce\Page;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Service\Site as SiteService;
use DiviManagerPro\Woocommerce\Woocommerce;
use DiviManagerPro\Woocommerce\Table\Order as OrderTable;

class WCMenuFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        return new WCMenu(
            $registry->getService(Woocommerce::class),
            $registry->getService(SiteService::class),
            $registry->getService(OrderTable::class)
        );
    }
}
