<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Shortcode;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use DiviManager\ServiceFactoryInterface;
use DiviManagerPro\DiviManagerPro;
use DiviManager\Registry;
use DiviManagerPro\Reporter\Reporter;

class ReportFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $report = new Report();

        $report->setDiviManagerPro($registry->getService(DiviManagerPro::class));
        $report->setReporter($registry->getService(Reporter::class));

        return $report;
    }
}
