<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Shortcode;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use DiviManager\ServiceFactoryInterface;
use DiviManagerPro\DiviManagerPro;
use DiviManager\Registry;

class WcReportFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $wcReport = new WcReport();

        $wcReport->setDiviManagerPro($registry->getService(DiviManagerPro::class));

        return $wcReport;
    }
}
