<?php declare(strict_types=1);
namespace DiviManagerPro\Rest;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManagerPro\Service\SiteProvision as ProvisionService;

class ProvisionFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        return new Provision(
            'dmpro/v1',
            $registry->getService(ProvisionService::class)
        );
    }
}
